// Code generated by mockery v2.12.1. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	dto "gitlab.informatika.org/rahmahkn/if3250_2022_03_ensiklo/internal/app/model/dto"

	testing "testing"
)

// TransactionService is an autogenerated mock type for the TransactionService type
type TransactionService struct {
	mock.Mock
}

// BuyBook provides a mock function with given fields: userId, bookId, metadata
func (_m *TransactionService) BuyBook(userId uint, bookId uint, metadata map[string]interface{}) (dto.TransactionStatusDTO, error) {
	ret := _m.Called(userId, bookId, metadata)

	var r0 dto.TransactionStatusDTO
	if rf, ok := ret.Get(0).(func(uint, uint, map[string]interface{}) dto.TransactionStatusDTO); ok {
		r0 = rf(userId, bookId, metadata)
	} else {
		r0 = ret.Get(0).(dto.TransactionStatusDTO)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint, map[string]interface{}) error); ok {
		r1 = rf(userId, bookId, metadata)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// XenditCallback provides a mock function with given fields: data
func (_m *TransactionService) XenditCallback(data dto.XenditCallbackDTO) (dto.TransactionStatusDTO, error) {
	ret := _m.Called(data)

	var r0 dto.TransactionStatusDTO
	if rf, ok := ret.Get(0).(func(dto.XenditCallbackDTO) dto.TransactionStatusDTO); ok {
		r0 = rf(data)
	} else {
		r0 = ret.Get(0).(dto.TransactionStatusDTO)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(dto.XenditCallbackDTO) error); ok {
		r1 = rf(data)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// NewTransactionService creates a new instance of TransactionService. It also registers the testing.TB interface on the mock and a cleanup function to assert the mocks expectations.
func NewTransactionService(t testing.TB) *TransactionService {
	mock := &TransactionService{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
